Hi, I think there is a bug in rhinocommon’s DisplayConduit, more precisely in Protected Overrides Sub PreDrawObject(e As DrawObjectEventArgs)
.
When I use this:
Dim pt = New Rhino.Geometry.Point3d(location.X, location.Y - 10, location.Z)
e.Display.Draw2dText("TextContent", Color.Black, pt, True, True, "Arial")
e.Display.DrawPoint(pt)
the “dot” is displayed with no text but still sized according to the text. When the associated object is selected the text appear, and disappear when unselected.
When I use this:
Dim MyTextDot As New Rhino.Geometry.TextDot("TextContent", New Rhino.Geometry.Point3d(location.X, location.Y + 10, location.Z))
MyTextDot.FontHeight = FontHeight
e.Display.DrawDot(MyTextDot, DisplayColor, Color.Black, BorderColor)
the text never shows.
I tried using the same code in other subs such as Protected Overrides Sub PostDrawObjects(e As DrawEventArgs)
and it works.